#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export PYBUILD_INSTALL_ARGS=--install-scripts /usr/sbin

%:
	dh $@ --buildsystem pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/waagent/usr/lib/python3*/dist-packages/tests/

override_dh_auto_test:
	true

override_dh_auto_clean:
	dh_auto_clean
	rm -rf AzureLinuxAgent.egg-info

override_dh_installinit:
	dh_installinit -p waagent --name walinuxagent

override_dh_installsystemd:
	dh_installsystemd -p waagent --name walinuxagent
